/***********************************************************************

	$Id: binomial.h,v 1.1 2025/01/26 02:31:38 warme Exp $

	File:	binomial.h
	Rev:	a-1
	Date:	01/25/2025

	Copyright (c) 2012, 2025 by David M. Warme.  All rights
	reserved.  This work is licensed under a Creative Commons
	Attribution-NonCommercial-ShareAlike 4.0 International License.

************************************************************************

	Binomial coefficients.

************************************************************************

	Modification Log:

	a-1:	01/25/2025	warme
		: Cleanup for initial release.

************************************************************************/

#ifndef BINOMIAL_H
#define BINOMIAL_H

#include <gmp.h>

/*
 * Return the binomial coefficient "n choose k".
 */

extern void	binomial (mpz_ptr res, int n, int k);

/*
 * Shut down binomial coefficients module, freeing all statically-held memory.
 */

extern void			binomial_shutdown (void);

#endif
