/**********************************************************************

	$Id: fatal.h,v 1.1 2025/01/26 02:31:38 warme Exp $

	File:	fatal.h
	Rev:	a-1
	Date:	01/25/2025

	Copyright (c) 2012, 2025 by David M. Warme.  All rights
	reserved.  This work is licensed under a Creative Commons
	Attribution-NonCommercial-ShareAlike 4.0 International License.

***********************************************************************

	Fatal errors.

***********************************************************************

	Modification Log:

	a-1:	01/25/2025	warme
		: Cleanup for initial release.

***********************************************************************/

#ifndef FATAL_H
#define FATAL_H

/*
 * Macros for issuing fatal errors.
 */

#define FATAL_ERROR \
	do { \
		fatal (__FILE__, __LINE__); \
	} while (0)

#define FATAL_ERROR_IF(condition) \
	do { \
		if (condition) { \
			fatal (__FILE__, __LINE__); \
		} \
	} while (0)

#ifdef __GNUC__
  #define __NORETURN__	__attribute__ ((noreturn))
#else
  #define __NORETURN__
#endif

extern void		fatal (const char * filename, int lineno)
				__NORETURN__;

#endif
