/***********************************************************************

	$Id: pmoment.h,v 1.1 2025/01/26 02:31:39 warme Exp $

	File:	pmoment.h
	Rev:	a-1
	Date:	01/25/2025

	Copyright (c) 2012, 2025 by David M. Warme.  All rights
	reserved.  This work is licensed under a Creative Commons
	Attribution-NonCommercial-ShareAlike 4.0 International License.

************************************************************************

	Poisson moments.

************************************************************************

	Modification Log:

	a-1:	01/25/2025	warme
		: Cleanup for initial release.

************************************************************************/

#ifndef PMOMENT_H
#define PMOMENT_H

#include <gmp.h>

/*
 * Return the moment E[X^k], where X is a Poisson random variable
 * having mean of n.
 */

extern void	pmoment (mpz_ptr res, int n, int k);

/*
 * Shut down pmoment module, freeing all statically-held memory.
 */

extern void	pmoment_shutdown (void);

#endif
