/***********************************************************************

	$Id: stirling2.h,v 1.1 2025/01/26 02:31:40 warme Exp $

	File:	stirling2.h
	Rev:	a-1
	Date:	01/25/2025

	Copyright (c) 2012, 2025 by David M. Warme.  All rights
	reserved.  This work is licensed under a Creative Commons
	Attribution-NonCommercial-ShareAlike 4.0 International License.

************************************************************************

	Stirling numbers of the second kind.

************************************************************************

	Modification Log:

	a-1:	01/25/2025	warme
		: Cleanup for initial release.

************************************************************************/

#ifndef STIRLING2_H
#define STIRLING2_H

#include <gmp.h>

/*
 * Return "n subset k", the Stirling number of the second kind.
 */

extern void	stirling2 (mpz_ptr res, int n, int k);

/*
 * Shut down stirling2 module, freeing all statically-held memory.
 */

extern void	stirling2_shutdown (void);

#endif
