/***********************************************************************

	File:	zmemo.h
	Rev:	a-2
	Date:	01/25/20245

	Copyright (c) 1997, 2025 by David M. Warme

************************************************************************

	Memoize function results of the form int* ==> mpz.

************************************************************************

	Modification Log:

	a-1:	09/07/2015	warme
		: Created.
	a-2:	01/25/2025	warme
		: Cleanup for initial release.

************************************************************************/

#ifndef ZMEMO_H
#define	ZMEMO_H

#include <gmp.h>

struct ZMemo;

extern struct ZMemo *	zmemo_create_mrow (void);
extern struct ZMemo *	zmemo_create_zrow (void);
extern void		zmemo_free (struct ZMemo * mp);
extern struct ZMemo *	zmemo_get_mrow (struct ZMemo * mp, int n);
extern mpz_ptr		zmemo_get_zrow (struct ZMemo * mp, int n);
extern void		zmemo_set_mrow (struct ZMemo *	mp,
					int		n,
					struct ZMemo *	mp2);
extern void		zmemo_set_zrow (struct ZMemo *	mp,
					int		n,
					mpz_srcptr	z);

#endif
