/**********************************************************************

	$Id: fatal.c,v 1.1 2025/01/26 02:31:43 warme Exp $

	File:	fatal.c
	Rev:	a-1
	Date:	01/25/2025

	Copyright (c) 2012, 2025 by David M. Warme.  All rights
	reserved.  This work is licensed under a Creative Commons
	Attribution-NonCommercial-ShareAlike 4.0 International License.

***********************************************************************

	Fatal errors.

***********************************************************************

	Modification Log:

	a-1:	01/25/2025	warme
		: Cleanup for initial release.

***********************************************************************/

#include "fatal.h"

#include <stdio.h>
#include <stdlib.h>

/*
 * Display a fatal error message and exit.
 */

	void
fatal (

const char *	filename,
int		lineno
)
{
	fprintf (stderr,
		 "Fatal Software Error: %s:%d\n",
		 filename, lineno);

	abort ();
}
