#***********************************************************************
#
#	$Id: complementary_sec_angle.gp,v 1.1 2025/01/26 02:31:58 warme Exp $
#
#	File:	complementary_sec_angle.gp
#	Rev:	a-1
#	Date:	01/25/2025
#
#	Copyright (c) 2012, 2025 by David M. Warme.  All rights
#	reserved.  This work is licensed under a Creative Commons
#	Attribution-NonCommercial-ShareAlike 4.0 International License.
#
#***********************************************************************
#
#	Gnuplot script for complementary subtour angle plots.
#
#***********************************************************************
#
#	Modification Log:
#
#	a-1:	01/25/2025	warme
#		: Cleanup for initial release.
#
#***********************************************************************

set grid
set key top center
set xtics in ( "0" 0.0, "" 0.25, "" 0.50, "" 0.75, "n" 1.0 )
set ytics in 0,5,45
set xrange [0:1]
set yrange [0:45]
# set title "Complementary Subtour Angles"
set xlabel "Subtour Size k"
set ylabel "Angle (degrees)"

set term postscript color eps
set output "complementary_sec_angle_color.eps"

plot	"complementary_sec_angle_p0010.dat" using 1:2 title "n=10"   with lines ls 1, \
	"complementary_sec_angle_p0020.dat" using 1:2 title "n=20"   with lines ls 2, \
	"complementary_sec_angle_p0050.dat" using 1:2 title "n=50"   with lines ls 3, \
	"complementary_sec_angle_p0100.dat" using 1:2 title "n=100"  with lines ls 4, \
	"complementary_sec_angle_p0200.dat" using 1:2 title "n=200"  with lines ls 5, \
	"complementary_sec_angle_p0500.dat" using 1:2 title "n=500"  with lines ls 7, \
	"complementary_sec_angle_p1000.dat" using 1:2 title "n=1000" with lines ls 8

set term postscript eps monochrome dashed
set output "complementary_sec_angle_mono.eps"
replot
