#***********************************************************************
#
#	$Id: reflected_plots.gp,v 1.1 2025/01/26 02:31:58 warme Exp $
#
#	File:	reflected_plots.gp
#	Rev:	a-1
#	Date:	01/25/2025
#
#	Copyright (c) 2012, 2025 by David M. Warme.  All rights
#	reserved.  This work is licensed under a Creative Commons
#	Attribution-NonCommercial-ShareAlike 4.0 International License.
#
#***********************************************************************
#
#	Gnuplot script for reflected CD / EPR plots.
#
#***********************************************************************
#
#	Modification Log:
#
#	a-1:	01/25/2025	warme
#		: Cleanup for initial release.
#
#***********************************************************************

unset grid
# set key top right
unset key
# set xtics 0,0.1,1
# set ytics 0,0.2,1
# unset xtics
set xtics in ( "0" 0, "" 0.25, "" 0.5, "" 0.75, "n" 1.0 )
# unset ytics
set ytics in 0.0, 0.2, 1.0
set xrange [-0.05:1.05]
set yrange [-0.05:1.05]
# set title "Reflected Subtour Centroid Distances"
set xlabel "Subtour Size k"
set ylabel "Scaled Centroid Distance"

set term postscript color eps
set output "reflected_cd_color.eps"

plot	"reflected_cd.dat" using 1:2 with lines lc rgb "red" , \
	"reflected_cd.dat" using 1:3 with lines lc rgb "green"

set term postscript eps monochrome dashed
set output "reflected_cd_mono.eps"

plot	"reflected_cd.dat" using 1:2 with lines ls 1, \
	"reflected_cd.dat" using 1:3 with lines ls 2


unset grid
# set key top right
set nokey
# unset xtics
set xtics in ( "0" 0, "" 0.25, "" 0.5, "" 0.75, "n" 1.0 )
# unset ytics
set ytics in -1.0, 0.2, 0.0
set xrange [-0.05:1.05]
set yrange [-1.05:0.05]
# set title "Reflected Subtour Extreme Point Ratios"
set xlabel "Subtour Size k"
set ylabel "Scaled log10 (Extreme Point ratio)"

set term postscript color eps
set output "reflected_epr_color.eps

plot	"reflected_epr.dat" using 1:2 with lines lc rgb "red", \
	"reflected_epr.dat" using 1:3 with lines lc rgb "green"


set term postscript eps monochrome dashed
set output "reflected_epr_mono.eps"

plot	"reflected_epr.dat" using 1:2 with lines ls 1, \
	"reflected_epr.dat" using 1:3 with lines ls 2
