#***********************************************************************
#
#	$Id: small_n_tsp_cd.gp,v 1.1 2025/01/26 02:31:58 warme Exp $
#
#	File:	small_n_tsp_cd.gp
#	Rev:	a-1
#	Date:	01/25/2025
#
#	Copyright (c) 2012, 2025 by David M. Warme.  All rights
#	reserved.  This work is licensed under a Creative Commons
#	Attribution-NonCommercial-ShareAlike 4.0 International License.
#
#***********************************************************************
#
#	Gnuplot script for small N TSP CD plots.
#
#***********************************************************************
#
#	Modification Log:
#
#	a-1:	01/25/2025	warme
#		: Cleanup for initial release.
#
#***********************************************************************

set xrange [-0.05:1.05]
set xtics ("0" 0.0, "" 0.25, "" 0.5, "" 0.75, "n" 1.0)
set xlabel "Subtour Size k"
set yrange [0.5:1.2]
set ylabel "Centroid Distance"
set grid
set key bottom right

set term postscript color eps solid
set output "small_n_tsp_cd_color.eps"

plot "small_n_tsp_cd_12.dat" using 1:2 title "n=12" with lines ls 9, \
     "small_n_tsp_cd_11.dat" using 1:2 title "n=11" with lines ls 8, \
     "small_n_tsp_cd_10.dat" using 1:2 title "n=10" with lines ls 7, \
     "small_n_tsp_cd_09.dat" using 1:2 title "n=9" with lines ls 6, \
     "small_n_tsp_cd_08.dat" using 1:2 title "n=8" with lines ls 5, \
     "small_n_tsp_cd_07.dat" using 1:2 title "n=7" with lines ls 4, \
     "small_n_tsp_cd_06.dat" using 1:2 title "n=6" with lines ls 3, \
     "small_n_tsp_cd_05.dat" using 1:2 title "n=5" with lines ls 2, \
     "small_n_tsp_cd_04.dat" using 1:2 title "n=4" with points ps 1

set term postscript mono eps
set output "small_n_tsp_cd_mono.eps"

plot "small_n_tsp_cd_12.dat" using 1:2 title "n=12" with lines ls 9, \
     "small_n_tsp_cd_11.dat" using 1:2 title "n=11" with lines ls 8, \
     "small_n_tsp_cd_10.dat" using 1:2 title "n=10" with lines ls 7, \
     "small_n_tsp_cd_09.dat" using 1:2 title "n=9" with lines ls 6, \
     "small_n_tsp_cd_08.dat" using 1:2 title "n=8" with lines ls 5, \
     "small_n_tsp_cd_07.dat" using 1:2 title "n=7" with lines ls 4, \
     "small_n_tsp_cd_06.dat" using 1:2 title "n=6" with lines ls 3, \
     "small_n_tsp_cd_05.dat" using 1:2 title "n=5" with lines ls 2, \
     "small_n_tsp_cd_04.dat" using 1:2 title "n=4" with points ps 1
